> ## Documentation Index
> Fetch the complete documentation index at: https://docs.probe.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Requests statistics



## OpenAPI

````yaml https://api.probedev.com/frontend/api/v1/openapi.json?include-base-path=true&v=2025-07-30 get /frontend/api/v1/statistics/requests
openapi: 3.1.0
info:
  title: 'Probe.dev API Version: v1'
  description: Probe.dev API.
  version: v1.0
servers:
  - url: https://{host}
    variables:
      host:
        enum:
          - api.probe.dev
        default: api.probedev.com
        description: Server Hostname
security: []
tags:
  - name: Media
  - name: Auth
  - name: User
  - name: Billing
  - name: Statistics
paths:
  /frontend/api/v1/statistics/requests:
    get:
      tags:
        - Statistics
      summary: Requests statistics
      operationId: routes/statistics.GetRequests
      parameters:
        - name: date
          in: query
          schema:
            $ref: '#/components/schemas/StatisticsRequestsDateFilterParams'
          style: deepObject
          explode: true
        - name: aggregation
          in: query
          schema:
            $ref: '#/components/schemas/StatisticsAggregation'
            default: daily
        - name: user-id
          in: query
          schema:
            items:
              minimum: 0
              type: integer
            type: array
          explode: true
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/StatisticsGetRequestsResponse'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RouterUnauthorizedError'
      security:
        - api_key_header: []
        - api_key: []
        - jwt-token: []
        - jwt-cookie: []
        - jwt: []
components:
  schemas:
    StatisticsRequestsDateFilterParams:
      properties:
        from:
          default: '2025-11-24T19:22:59.204968188Z'
          format: date-time
          type:
            - 'null'
            - string
        to:
          default: '2025-12-24T19:22:59.204968188Z'
          format: date-time
          type:
            - 'null'
            - string
      type: object
    StatisticsAggregation:
      enum:
        - no-aggregation
        - yearly
        - monthly
        - weekly
        - daily
        - hourly
        - minutely
        - secondly
      type: string
    StatisticsGetRequestsResponse:
      properties:
        aggregation:
          $ref: '#/components/schemas/StatisticsAggregation'
        period:
          $ref: '#/components/schemas/StatisticsPeriod'
        users-usage:
          items:
            $ref: '#/components/schemas/StatisticsUsersAggregatedUsage'
          type:
            - array
            - 'null'
      type: object
    RouterUnauthorizedError:
      properties:
        code:
          description: Application-specific error code.
          type: integer
        context:
          additionalProperties: {}
          description: Application context.
          type: object
        error:
          description: Error message.
          type: string
        status:
          description: Status text.
          type: string
      type: object
    StatisticsPeriod:
      properties:
        from:
          format: date-time
          type:
            - 'null'
            - string
        to:
          format: date-time
          type:
            - 'null'
            - string
      type: object
    StatisticsUsersAggregatedUsage:
      properties:
        aggregated-usage:
          items:
            $ref: '#/components/schemas/StatisticsAggregatedUsage'
          type:
            - array
            - 'null'
        user-id:
          minimum: 0
          type: integer
      type: object
    StatisticsAggregatedUsage:
      properties:
        aggregation-time:
          format: date-time
          type: string
        resources:
          $ref: '#/components/schemas/StatisticsAggregatedUsageMap'
      type: object
    StatisticsAggregatedUsageMap:
      additionalProperties:
        type:
          - integer
          - number
      type: object
  securitySchemes:
    api_key_header:
      description: API Key Security (Header).
      type: http
      scheme: bearer
    api_key:
      description: API Key Security
      type: apiKey
      name: token
      in: query
    jwt-token:
      description: JWT API Security (Token).
      type: apiKey
      name: jwt
      in: query
    jwt-cookie:
      description: JWT API Security (Cookie).
      type: apiKey
      name: jwt
      in: cookie
    jwt:
      description: JWT API Security (Header).
      type: http
      scheme: bearer
      bearerFormat: JWT

````